change preset of expiry field of Special:Block
Closed, ResolvedPublic

Description

Author: ml

Description:
With 'other' as default, blocking requires at least one click or typing to change field or enter other time. It would be nice if defaulted to last value used (I often block a bunch of users in succession) or if not available, the most generally applicable non-'other' choice (I'd vote for 'infinite' but don't care much).


Version: 1.16.x
Severity: enhancement

bzimport added a subscriber: wikibugs-l.
bzimport set Reference to bz32178.
bzimport created this task.Via LegacyNov 3 2011, 4:51 PM
waldyrious added a comment.Via ConduitMar 31 2012, 12:01 PM

I support this. I often perform maintenance in small wikis where spam is rampant, and blocking multiple users is cumbersome when one has to triple the clicks needed to get it done (one to reveal the dropdown list, the other to pick the duration, and the third to click the "block" button), compared to, say, deleting pages.

waldyrious added a comment.Via ConduitMar 31 2012, 12:07 PM

Is it possible to gather data on what's the most common block duration chosen? (I'm willing to bet it's not "other".)

Peachey88 added a comment.Via ConduitMar 31 2012, 12:12 PM

We don't record that it is a "other" choice in the db (from memory). But yes, if we really wanted to, we could probably get someone to scan this data from the cluster (Might actually be possible from the TS).

waldyrious added a comment.Via ConduitJun 20 2012, 1:34 AM

On gerrit, Aaron Schulz commented "I don't like giving IPs a default block time of indefinite. These needs a bit more thought IMO."

I agree; I wasn't too keen on making the default indefinite either. What if we made it configurable through a system message, which would default to the same as [[MediaWiki:ipbother]]? This would retain current behavior, but make it configurable by administrators of the site :)

waldyrious added a comment.Via ConduitJun 20 2012, 1:39 AM

Sorry, ipbother is not the appropriate message for what I meant. It should be [[Mediawiki:htmlform-selectorother-other]].

waldyrious added a comment.Via ConduitJul 10 2012, 11:41 PM

Ok, since nobody commented, I went ahead and implemented this. The new system message is "ipb-default-expiry" and it's an empty string by default (otherwise it would fill in the custom value box). Thus the current behavior is preserved, but by editing [[MediaWiki:ipb-default-expiry]], admins can change the default block expiry, for example by setting it to "infinite".

The new patch is on Gerrit, on the same link mentioned in comment #4.

waldyrious added a comment.Via ConduitAug 3 2012, 7:52 PM

Marking as fixed as this was just merged into the master git branch as change-id Icb1edabd8bb3dd1020c023b27b1270b9d2735b06

Add Comment